#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#declare White = rgb <1,1,1>;

box {
<-2.15, -4, 5>, < -1.85,  8,  5.1>
finish { ambient 0.9 }
pigment { Blue }
}
box {
<-0.15, -4, 5>, < 0.15,  8,  5.1>	//15 units away from camera, ht= 9, width=0.3
//rotate <0, -20, 0>
finish { ambient 0.9 }
pigment { Green }
}
box {
<1.85, -4, 5>, < 2.15,  8,  5.1>
finish { ambient 0.9 }
pigment { Red }
}
box {
<0, -5, -4>, < 0.2,  5,  -3.9>	//6 units away from camera, ht= 9, width=0.2
rotate <0, 0, 90>
finish { ambient 0.9 }
pigment { Yellow }
}
box {
<1.5, -5, -4>, < 1.7,  5,  -3.9>	//6 units away from camera, ht= 9, width=0.2
rotate <0, 0, 90>
finish { ambient 0.9 }
pigment { Magenta }
}
box {
<3, -5, -4>, < 3.2,  5,  -3.9>	//6 units away from camera, ht= 9, width=0.2
rotate <0, 0, 90>
finish { ambient 0.9 }
pigment { Cyan }
}
plane {
z, 5.2
pigment { White }
}
//light_source { <5, 30, -30> color White }
//light_source { <-5, 30, -30> color White }
camera {
location <0.0, 1.0, -10.0>
look_at  <0.0, 1.0,  0.0>
direction <0,0,1> //focal length = 1 unit (?)
// focal_point <-6, 1, 30>    // blue cylinder in focus
// focal_point < 1.65, 1,  -1>    // magenta bar in focus
 focal_point < 2, 1,  5>    // red bar in focus
//  aperture 0.4     // a nice compromise
//  aperture 0.05    // almost everything is in focus
  aperture 0.5     // testing
//  blur_samples 4       // fewer samples, faster to render
blur_samples 300      // more samples, higher quality image
// variance 0.0		// to remove graininess
}

